HPE OneView
cancel
Showing results for 
Search instead for 
Did you mean: 

OneView Upgrade from 2.9 to 3.1

Eugen Rodekuhr
Occasional Contributor

OneView Upgrade from 2.9 to 3.1

I need to do upgrade of an existing oneview setup. I know that I can upgrade the exisrting oneview to a newer version in place, however I can't test it and don't want to kill the production setup.

There are two challenges:

1. I need to move existing encloures controlled by VCM into the oneview

2. I need to upgrade the existing onview from 2.9 to 3.1

I am wondering if I can migrate an existing oneview setup onto a new oneview because this would be the safest way to not put the production setup at risk.

Regards

Eugen

EuRo
2 REPLIES
ChrisLynchHPE
Neighborhood Moderator

Re: OneView Upgrade from 2.9 to 3.1

Unfortunately, we do not provide a method to migrate from a OneView instance to another OneView instance without downtime.  Upgrades of OneView can be done in place.  Upgrades should be only performed after an appliance backup is generated and downloaded, and during non-peak hours.  If something does happen to your appliance during the upgrade, you would need to have the OneView virtual machine appliance, 2.x patches, and backup file.

Also, do you mean you currently are at 2.00.09?  We don't have a 2.9 version.

Eugen Rodekuhr
Occasional Contributor

Re: OneView Upgrade from 2.9 to 3.1

Hello,

thank you for the feedback, much appreciated.

We use the version - 2.00.09-0305233 and need to go to version 3.10.04-0299553.

I think we need a two step approach and need go to 3.00.05-0271823 first.

I think the size of the appliance with 8 CPUs and 32GB of RAM should be sufficient!

The upgrade of the existing oneview should noz be an issue, but the migration of the standalone enclosures, currently using virtual connect manager.

just wondering if this will run smoothly, as we are in a production setup.

Due to oyur feedback i think we need to mdofy the routine to of our exercise:

1. Upgrade existing oneview from 2.00.09 to 3.00.05

2. Upgrade from 3.00.05 to 3.10.04

3. import the stanalone enclosure into oneview 3.10.04

What do oyu think?

Regards

Eugen

EuRo